# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = QSNYM.dll
OBJFILES = QSNYM.obj NymEditDlgs.obj NymRemsDlgs.obj NymRepDlgs.obj \
   NymDecDlgs.obj MixmastDlg.obj NymWizDlgs.obj HelpDlgs.obj View.obj \
   PGPbuffers.obj nymmail.obj Global.obj FileMan.obj Mixmaster.obj HeadMan.obj \
   PgpFiles.obj pgpmail.obj QSnymVer.obj FingerDlgs.obj NymIntrDlgs.obj \
   WipeDlgs.obj
RESFILES = QSNYM.res
RESDEPEN = $(RESFILES) NymEditDlgs.dfm NymRemsDlgs.dfm NymRepDlgs.dfm \
   NymDecDlgs.dfm MixmastDlg.dfm NymWizDlgs.dfm HelpDlgs.dfm View.dfm \
   FingerDlgs.dfm NymIntrDlgs.dfm WipeDlgs.dfm
LIBFILES = 
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -WD -Od -Hc -w -k -r- -y -v -vi- -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -I$(BCB)\lib\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdParty\ics\delphi\vc32;$(BCB)\3rdParty\ExplBtn \
   -H=$(BCB)\lib\vcld.csm 
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -U$(BCB)\lib\ics\delphi\vc32;$(BCB)\lib\obj;$(BCB)\lib;$(BCB)\3rdParty\ics\delphi\vc32;$(BCB)\3rdParty\ExplBtn \
   -I$(BCB)\lib\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdParty\ics\delphi\vc32;$(BCB)\3rdParty\ExplBtn \
   -v -$Y -$W -$O- -JPHNV -M
RFLAGS = -i$(BCB)\lib\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdParty\ics\delphi\vc32;$(BCB)\3rdParty\ExplBtn 
LFLAGS = -L$(BCB)\lib\ics\delphi\vc32;$(BCB)\lib\obj;$(BCB)\lib;$(BCB)\3rdParty\ics\delphi\vc32;$(BCB)\3rdParty\ExplBtn \
   -aa -Tpd -x -v -V4.0
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0d32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $*

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------

