//---------------------------------------------------------------------------
#ifndef QueueDlgsH
#define QueueDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Menus.hpp>
#include <vcl\Buttons.hpp>
#include "OpenDlgs.h"
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
bool __fastcall OpenQueuedMail(AnsiString QueueName);

class TMailQueueDlg : public TOpenDlg
{
__published:	// IDE-managed Components
  TMenuItem *PopDeleteItem;
  TPopupMenu *PopupMenu1;
  TSpeedButton *DeleteBtn;
  TMenuItem *PopOpenItem;
  TSpeedButton *OpenBtn;
  TSpeedButton *SendBtn;
  TPanel *Panel2;
  THeaderControl *HeaderControl1;
  void __fastcall LookinBoxChange(TObject *Sender);
  void __fastcall ItemsBoxClick(TObject *Sender);
  void __fastcall PopupMenu1Popup(TObject *Sender);
  void __fastcall PopDeleteItemClick(TObject *Sender);
  void __fastcall PopOpenItemClick(TObject *Sender);
  void __fastcall ItemsBoxDrawItem(TWinControl *Control, int Index, TRect &Rect,
  TOwnerDrawState State);
  void __fastcall HelpBtnClick(TObject *Sender);
  void __fastcall SendBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  virtual __fastcall TMailQueueDlg(TComponent* Owner);
  virtual __fastcall TMailQueueDlg(AnsiString QueueName, TForm *Owner);
  void __fastcall LoadQueue(AnsiString &QueueName);
  AnsiString __fastcall MessageSubject(AnsiString &IndexStr);
  AnsiString __fastcall MessageDate(AnsiString &IndexStr);
  AnsiString __fastcall MessageWho(AnsiString &IndexStr);
  bool __fastcall Execute();
};
//---------------------------------------------------------------------------
extern TMailQueueDlg *MailQueueDlg;
//---------------------------------------------------------------------------
#endif
